# pandoc is not available in ocs
%bcond_with pandoc_flag

Summary: Early OOM Daemon for Linux
Name: earlyoom
Version: 1.7
Release: 2%{?dist}
License: MIT
URL: https://github.com/rfjakob/%{name}
Source0: %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
Source1: %{name}.conf

BuildRequires: gcc make
BuildRequires: systemd
%if %{with pandoc_flag}
BuildRequires: pandoc
%endif
%{?systemd_requires}

%description
User-space OOM killer daemon that can avoid the system going into the unresponsive state. 
It checks the amount of available memory and free swap up to 10 times a second (less often 
if there is a lot of free memory) and kills the largest processes with the highest oom_score.

Percentages are configured through the configuration file.

%prep
%autosetup -p1
cp -f %{SOURCE1} %{name}.default
sed -e '/systemctl/d' -i Makefile

%build
%make_build VERSION=%{version} PREFIX=%{_prefix} SYSTEMDUNITDIR=%{_unitdir}

%install
%make_install PREFIX=%{_prefix} SYSTEMDUNITDIR=%{_unitdir}

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{_unitdir}/%{name}.service
%if %{with pandoc_flag}
%{_mandir}/man1/%{name}.*
%endif
%config(noreplace) %{_sysconfdir}/default/%{name}

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7-2
- Rebuilt for loongarch release

* Wed Jan 31 2024 Wang Guodong <gordonwwang@tencent.com> - 1.7-1
- initial build
